{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Launch firefox localhost",
      "type": "firefox",
      "request": "launch",
      "reAttach": true,
      "url": "http://localhost:5173",
      "webRoot": "${workspaceFolder}/client"
    },

    {
      "name": "Launch Chrome localhost",
      "type": "chrome",
      "request": "launch",
      "reAttach": true,
      "url": "http://localhost:5173",
      "webRoot": "${workspaceFolder}/client"
    },

    {
      "type": "msedge",
      "request": "launch",
      "name": "CLIENT: Launch Edge against localhost",
      "url": "http://localhost:5173",
      "webRoot": "${workspaceFolder}/client"
    },

    {
      "type": "node",
      "request": "attach",
      "name": "SERVER: Attach to dev:debug",
      "port": 4321,
      "restart": true,
      "cwd": "${workspaceRoot}"
    },

    {
      "name": "Launch via YARN",
      "request": "launch",
      "runtimeArgs": ["run", "server"],
      "runtimeExecutable": "yarn",
      "skipFiles": ["<node_internals>/**", "client/**", "dist/**", "doc/**"],
      "type": "node"
    }
  ]
}
